# Type Alias WorkflowRunCfg

type WorkflowRunCfg = {
context?: any;
current_step?: any[];
error?: string;
id?: number;
session_id?: string;
started_at?: Date;
started_by?: number;
status?: "Pending" | "Running" | "Finished" | "Waiting" | "Error";
status_updated_at?: Date;
trigger_id: number;
wait_info?: any;
}

- Defined in model-abstracts/abstract_workflow_run.ts:1

##### Index

### Properties

context?
current_step?
error?
id?
session_id?
started_at?
started_by?
status?
status_updated_at?
trigger_id
wait_info?

## Properties

### `Optional` context

context?: any

- Defined in model-abstracts/abstract_workflow_run.ts:4

### `Optional` current_step

current_step?: any[]

- Defined in model-abstracts/abstract_workflow_run.ts:12

### `Optional` error

error?: string

- Defined in model-abstracts/abstract_workflow_run.ts:9

### `Optional` id

id?: number

- Defined in model-abstracts/abstract_workflow_run.ts:2

### `Optional` session_id

session_id?: string

- Defined in model-abstracts/abstract_workflow_run.ts:10

### `Optional` started_at

started_at?: Date

- Defined in model-abstracts/abstract_workflow_run.ts:6

### `Optional` started_by

started_by?: number

- Defined in model-abstracts/abstract_workflow_run.ts:8

### `Optional` status

status?: "Pending" | "Running" | "Finished" | "Waiting" | "Error"

- Defined in model-abstracts/abstract_workflow_run.ts:11

### `Optional` status_updated_at

status_updated_at?: Date

- Defined in model-abstracts/abstract_workflow_run.ts:7

### trigger_id

trigger_id: number

- Defined in model-abstracts/abstract_workflow_run.ts:3

### `Optional` wait_info

wait_info?: any

- Defined in model-abstracts/abstract_workflow_run.ts:5